import 'package:json_annotation/json_annotation.dart';

part 'PopNotice.g.dart';

@JsonSerializable()
class PopNotice {
  PopNotice(this.id, this.image);
  int id;
  String image; //图片
  factory PopNotice.fromJson(Map<String, dynamic> json) => _$PopNoticeFromJson(json);

  Map<String, dynamic> toJson() => _$PopNoticeToJson(this);
  // 命名构造函数
  PopNotice.empty();
  @override
  String toString() {
    return _$PopNoticeToJson(this).toString();
  }
}
